import axios from 'axios';
// var baseURL='https://www.scxjc.club'
var baseURL=''
// axios.defaults.headers.post['Content-Type']='text/plain';
axios.interceptors.request.use(
    config => {
		    // const token = localStorage.getItem('token');
			// if (config.url.indexOf('auth') < 0) {
			// 	if (token) { // 判断是否存在token，如果存在的话，则每个http header都加上token                      
			// 		config.headers.Authorization = `jwt ${token}`;   
			// 	} else {
			// 		//未登录
			// 		window.location.hash = "/login";
			// 	}
			// } 
        return config;
    },
    err => {
        return Promise.reject(err);
});
axios.interceptors.response.use(function(response) {
	// IE 8-9 
    if (response.data == null && response.config.responseType === 'json' && response.request.responseText != null) {
		try {
		  // eslint-disable-next-line no-param-reassign
		  response.data = JSON.parse(response.request.responseText);
		} catch (e) {
		  // ignored
		}
	  }
	// 对响应数据做点什么
	if (response.data.code == 401) {
		window.location.hash = "/login";
	}
	if (response.data.code == 305) {
		window.location.hash = "/";
	}
	return response;
}, function(error) {
	// 对响应错误做点什么
	if(error.request.status == 401){
		window.location.hash = "/login";
	}
	// console.log(Object.getOwnPropertyNames(error))
	// console.log(error.request,error.message)
	return Promise.reject(error);
});
export default{
    //登录
    login: params => {
		return axios.post(`${baseURL}/api/account/login`, params);
	},
	//获取验证码
	getCode: params => {
		return axios.get(`${baseURL}/api/account/imgcode`)
	},
	//科目
	getSubList: params => {
		return axios.get(`${baseURL}/api/admin/subject/list`)
	},
	saveSub: params => {
		return axios.post(`${baseURL}/api/admin/subject`, params);
	},
	updateSub: params => {
		return axios.put(`${baseURL}/api/admin/subject`, params);
	},
	deleteSub: params => {
		return axios.delete(`${baseURL}/api/admin/subject`, params);
	},
	//报名信息
	getSignList: params => {
		return axios.get(`${baseURL}/api/admin/signup/list`, {
			params: params
		})
	},
	getSign: params => {
		return axios.get(`${baseURL}/api/admin/signup`, {
			params: params
		})
	},
	updateSign: params => {
		return axios.put(`${baseURL}/api/admin/signup`, params);
	},
	updateSignStu: params => {
		return axios.put(`${baseURL}/api/admin/signup/upstate`, params);
	},
	deleteSign: params => {
		return axios.delete(`${baseURL}/api/admin/signup/upstate`, params);
	},
	//班级
	getClass: params => {
		return axios.get(`${baseURL}/api/admin/class/list `, {
			params: params
		})
	},
	
	
}





